# Uses of Interface
org.bukkit.inventory.meta.BookMeta.BookMetaBuilder

Packages that use BookMeta.BookMetaBuilder
Package
Description
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of BookMeta.BookMetaBuilder in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return BookMeta.BookMetaBuilder
Modifier and Type
Method
Description
`@NotNull BookMeta.BookMetaBuilder`
BookMeta.BookMetaBuilder.`addPage(Component page)`
`@NotNull BookMeta.BookMetaBuilder`
BookMeta.BookMetaBuilder.`author(Component author)`
`@NotNull BookMeta.BookMetaBuilder`
BookMeta.BookMetaBuilder.`pages(@NotNull Component... pages)`
`@NotNull BookMeta.BookMetaBuilder`
BookMeta.BookMetaBuilder.`pages(Collection<Component> pages)`
`@NotNull BookMeta.BookMetaBuilder`
BookMeta.BookMetaBuilder.`title(Component title)`
`@NonNull BookMeta.BookMetaBuilder`
BookMeta.`toBuilder()`